Loading...
Searching...
No Matches
RDKit::EnumerateStereoisomers::details::Flipper Struct Referenceabstract

`#include <Flippers.h>`

Inheritance diagram for RDKit::EnumerateStereoisomers::details::Flipper:

## Public Member Functions

| Flipper ()=default
| Flipper (const Flipper &other)=delete
| Flipper (Flipper &&other)=delete
Flipper & | operator= (const Flipper &other)=delete
Flipper & | operator= (Flipper &&other)=delete
virtual | ~Flipper ()=default
virtual void | flip (bool flag)=0

## Detailed Description

Definition at line 27 of file Flippers.h.

## Constructor & Destructor Documentation

## Flipper() [1/3]

RDKit::EnumerateStereoisomers::details::Flipper::Flipper | ( |  | ) |

default

Referenced by Flipper(), Flipper(), operator=(), and operator=().

## Flipper() [2/3]

RDKit::EnumerateStereoisomers::details::Flipper::Flipper | ( | const Flipper & | other | ) |

delete

References Flipper().

## Flipper() [3/3]

RDKit::EnumerateStereoisomers::details::Flipper::Flipper | ( | Flipper && | other | ) |

delete

References Flipper().

## ~Flipper()

virtual RDKit::EnumerateStereoisomers::details::Flipper::~Flipper | ( |  | ) |

virtual default

## Member Function Documentation

## flip()

virtual void RDKit::EnumerateStereoisomers::details::Flipper::flip | ( | bool | flag | ) |

pure virtual

Implemented in RDKit::EnumerateStereoisomers::details::AtomFlipper, RDKit::EnumerateStereoisomers::details::AtropisomerFlipper, RDKit::EnumerateStereoisomers::details::BondFlipper, and RDKit::EnumerateStereoisomers::details::StereoGroupFlipper.

## operator=() [1/2]

Flipper & RDKit::EnumerateStereoisomers::details::Flipper::operator= | ( | const Flipper & | other | ) |

delete

References Flipper().

## operator=() [2/2]

Flipper & RDKit::EnumerateStereoisomers::details::Flipper::operator= | ( | Flipper && | other | ) |

delete

References Flipper().

The documentation for this struct was generated from the following file:

- Flippers.h